<?php
/**
 * @category   Alogic
 * @package    Alogic_Downloadcatalogue
 * @author     dushyantjoshia@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Alogic\Downloadcatalogue\Block;

/**
 * Downloadcatalogue content block
 */
class Downloadcatalogue extends \Magento\Framework\View\Element\Template {
	protected $_catalogSession;
	public function __construct(
		\Magento\Framework\View\Element\Template\Context $context,
		\Magento\Catalog\Model\Session $catalogSession,
		\Magento\Framework\Session\SessionManagerInterface $session
	) {
		$this->_catalogSession = $catalogSession;
		$this->session = $session;
		parent::__construct($context);
	}

	public function _prepareLayout() {
		$this->pageConfig->getTitle()->set(__('Alogic Download Catalogue'));

		return parent::_prepareLayout();
	}
	public function getCustomMessage() {
		return $this->session->getCustomMessage();
	}
}
